"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("@morjs/utils");
const styleLoader_1 = tslib_1.__importDefault(require("./styleLoader"));
const templateLoader_1 = tslib_1.__importDefault(require("./templateLoader"));
// 处理目标平台原生模版和样式文件
async function NativeLoader(fileContent) {
    const options = this.getOptions();
    const { entryBuilder } = options;
    const entry = entryBuilder.getEntryByFilePath(this.resourcePath);
    // 移交 template 和 style
    if (entry) {
        if (entry.entryFileType === utils_1.EntryFileType.template) {
            return templateLoader_1.default.call(this, fileContent);
        }
        else if (entry.entryFileType === utils_1.EntryFileType.style) {
            return styleLoader_1.default.call(this, fileContent);
        }
    }
    // 其他情况, 暂不处理
    const cb = this.async();
    cb(null, fileContent);
}
exports.default = NativeLoader;
//# sourceMappingURL=nativeLoader.js.map