import { Plugin, Runner } from '@morjs/utils';
/**
 * 实现异步 require 支持
 * 参见: https://developers.weixin.qq.com/miniprogram/dev/reference/api/require.html
 * 由于异步 require 可能请求的是分包中的文件, 会导致 webpack 无法执行静态解析的逻辑
 * 这里通过让 webpack 对 require('filepath', callback) 的调用不做处理来兼容
 * NOTE: 当前的做法有待进一步改进，目前仅仅是忽略的动态引用的处理, 需要进一步处理编译支持
 */
export declare class DynamicRequireSupportPlugin implements Plugin {
    name: string;
    apply(runner: Runner<any>): void;
}
